Skip to main content
POST
/
ffmpeg
/
probe
Probe media file
curl --request POST \
  --url https://api.varg.ai/v1/ffmpeg/probe \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "url": "https://s3.varg.ai/o/my-video.mp4"
}
'
{
  "duration": 12.5,
  "width": 1920,
  "height": 1080,
  "codec": "h264",
  "audio_codec": "aac",
  "format": "mov,mp4,m4a,3gp,3g2,mj2",
  "bitrate": 5200000,
  "fps": 30,
  "size_bytes": 8125000
}

Authorizations

Authorization
string
header
required

API key from varg.ai/dashboard.

Pass as Authorization: Bearer varg_xxx.

Body

application/json
url
string<uri>
required

URL of the video or audio file to inspect

Example:

"https://s3.varg.ai/o/my-video.mp4"

Response

Media metadata

duration
number

Duration in seconds

Example:

12.5

width
integer

Video width in pixels

Example:

1920

height
integer

Video height in pixels

Example:

1080

codec
string

Video codec

Example:

"h264"

audio_codec
string

Audio codec

Example:

"aac"

format
string

Container format

Example:

"mov,mp4,m4a,3gp,3g2,mj2"

bitrate
number

Overall bitrate in bits/second

Example:

5200000

fps
number

Frames per second

Example:

30

size_bytes
number

File size in bytes

Example:

8125000